Subject: Re: bug#24482: 25.1; font setting in ".emacs" is not respected

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2017 17:00:59 +0300

unblock 24655 by 24482
thanks

> From: [email-masked]
> Date: Sun, 16 Jul 2017 21:51:02 -0400
> Cc: [email-masked]
> 
> > After I restart Emacs, the font shown is not the font I chose. Actually,
> > I see how Emacs changes the font I chose to another font promptly.
> >
> > This bug appeared after upgrading from 24.5 to 25.1.
> 
> Possible workarounds are
> 
>     (define-key special-event-map [config-changed-event] #'ignore)
> 
> or
> 
>     (advice-add 'dynamic-setting-handle-config-changed-event :override #'ignore)

With workarounds available, and no GTK expert on board to help us find
a better fix, I don't think this problem should block the release of
Emacs 26.1.

Thanks.